abstract class RecoverPasswordUseCase {
  Future<String> requestEmail({required String email});

  Future<String> requestSms({required String phone});

  Future<void> recoverPassword({required String newPassword, required String token});
}